/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */

#ifndef __GdomSQLTransaction_H___INT_
#define __GdomSQLTransaction_H___INT_
#include "glib-object.h"
#include "gdom/PrivateIntGdomDOMObject.h"
#include "GDOMObject.h"
#include "SQLTransaction.h"
namespace WebCore {
    gpointer toGDOM(SQLTransaction* node);
} /* namespace WebCore */ 
G_BEGIN_DECLS
class GDOMSQLTransaction : public GDOMObject {
    typedef GDOMObject Base;
public:
    int get_gobj_type() { return GDOM_TYPE_SQL_TRANSACTION; }
    GDOMSQLTransaction(PassRefPtr<WebCore::SQLTransaction> impl);
    virtual ~GDOMSQLTransaction();
    WebCore::SQLTransaction* impl() const { return m_impl.get(); }

private:
    RefPtr<WebCore::SQLTransaction> m_impl;
};
G_END_DECLS

#endif /* __GdomSQLTransaction_H___INT_*/
